program Editenv;

uses
   OpString, OpDos, OpCrt, OpCmd, OpSedit;

var
   SLE : SimpleLineEditor;
   E,S : string;
   Env : EnvRec;

begin
   E := StUpCase(ParamStr(1));
   if E='' then begin
      WriteLn('Usage: EDITENV variable name');
      WriteLn('       To edit variable name');
      WriteLn('   Or: EDITENV /D');
      WriteLn('       To display environment');
      Halt;
   end;
   MasterEnv(Env);
   if (E = '/D') or (E='-D') then begin
      DumpEnv(Env);
      Halt;
   end;
   S:=GetEnvStr(Env,E);
   if S='' then begin
      Writeln('"',E,'" not found in environment');
      Halt(1);
   end;
   SLE.Init(DefaultColorSet);
   Writeln('Current Value: ',S);
   SLE.ReadString('New Value:     ', WhereY, 1, 127, ScreenWidth-16, S);
   if (SLE.GetLastCommand <> ccQUIT) then begin
      Writeln;
      if SetEnvStr(Env,E,S) then writeln('Environment String Changed')
      else writeln('Unable to changed environment');
   end;
end.




